## cipux-cat-web 3.4.0.2

=== debian/changelog ===
cipux-cat-web (3.4.0.2-3) unstable; urgency=low

  * Revert undocumented (accidental?) non-encrypted-on-localhost config
    hack dropped in recent NMU.
  * Use source format 3.0 (quilt).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Jun 2010 19:32:21 +0200

cipux-cat-web (3.4.0.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't act on non-existent files; fixes installation failure (Closes:
    #584875)

 -- Jan Hauke Rahm <jhr@debian.org>  Wed, 16 Jun 2010 12:06:34 +0200

cipux-cat-web (3.4.0.2-2) unstable; urgency=low

  * Fix include config defaults.
  * Update autogenerated debconf gettext files.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Jun 2010 01:12:08 +0200

cipux-cat-web (3.4.0.2-1) unstable; urgency=low

  [ Jonas Smedegaard ]
  * New upstream release.
  * Build-depend on recent perl-modules (favored over
    libtest-simple-perl).
  * Bump standards-version to 3.8.4.
  * Add proper copyright header to debian/rules.
  * Update upstream homepage.
  * Fix add leading / to Apache RewriteRule (only in .htaccess files
    should it be left out).
  * Rewrite only non-local insecure requests in Apache RewriteRule, and
    add descriptive comment.
  * Use only official CDBS (drop local snippets): All improvements now
    adopted upstream.
  * Include CDBS snippet upstream-tarball.mk.
  * Build unversioned on perl.
  * Tighten build-dependency on cdbs.
  * Refer to FSF website (not postal address) in licensing headers of
    Debian packaging files.
  * Update debian/copyright:
    + Include verbatim GPL text.
    + Reformat to conform to draft DEP5 rev. 135.
    + Bump some coyright years.
    + Fix include disclaimer in GPL-2+ section of copyright.
    + Add reference to FSF website.
    + Drop Colin Walters as owner of no longer included CDBS snippets.
  * Use source format '3.0 "quilt"'.
  * Stop conditionally enabling DEB_AUTO_UPDATE_DEBIAN_CONTROL (adopted
    upstream since CDBS 0.4.67), to not bogusly upset lintian.
  * Add watch file.
  * Build-depend on libcipux-rpc-client-perl (not libfrontier-rpc-perl),
    reflecting upstream change for 3.4.0.0.
  * Declare package relations recursively expanded.
  * Stop installing config files: Obsoleted or moved below
    /usr/share/cipux (as bootstrap config) now.

  [ Xavier Oswald ]
  * Update my mail address

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 May 2010 11:40:05 +0200

cipux-cat-web (3.4.0~svn2999-1) experimental; urgency=low

  * New snapshot of upstream Subversion repository.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Jan 2009 04:59:12 +0100

cipux-cat-web (3.4.0~svn2960-1) experimental; urgency=low

  * New snapshot of upstream Subversion repository.
  * Build-depend and depend on libcipux-perl (not libcipux-common-perl).
  * Add TODO item about invoking cipux_cat_web_module in postinst (need
    to understand some implications of that tool before actually doing
    it).
  * Update CDBS snippets:
    + Simplify internal variables
    + Ignore no files by default in copyright-check.mk
    + Correct and update copyright hints of the snippets themselves
  * Update debian/copyright and copyright hints:
    + Add info on CDBS snippets (new owners, no new licenses)
    + Bump to version 413 of new format (no structural changes)
  * Favor build-depending on perl-modules 5.10 over
    libmodule-build-perl.
  * Update arabic (ar) debconf locale. Closes: bug#499601, thanks to
    Ossama Khayat.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 15 Dec 2008 16:22:49 +0100

cipux-cat-web (3.4.0~svn2815-1) experimental; urgency=low

  * New snapshot of upstream Subversion repository.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Oct 2008 15:06:38 +0200

cipux-cat-web (3.4.0~svn2774-1) experimental; urgency=low

  * New upstream Subversion snapshot.
    + index page properly generated now.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Sep 2008 22:49:36 +0200

cipux-cat-web (3.4.0~svn2772-1) experimental; urgency=low

  * New upstream Subversion snapshot.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 28 Sep 2008 21:53:33 +0200

cipux-cat-web (3.4.0~svn2759-2) experimental; urgency=low

  * Include log4perl configfile.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 28 Sep 2008 16:23:58 +0200

cipux-cat-web (3.4.0~svn2759-1) experimental; urgency=low

  [ Jonas Smedegaard ]
  * New upstream Subversion snapshot.
  * Upstream now installs below /usr/share (not /var/www):
    + Simplify install rules
    + Use (now identical) upstream apache config
    + Tighten build-dependency on libmodule-build-cipux to versions
      installing below /usr/share
  * Offer to configure webserver (either apache or Lighttpd) through
    debconf.
    + Have cipux-cat-web depend on debconf  or the virtual debconf-2.0.
    + Have cipux-cat-web explicitly depend on lighttpd as fallback for
      apache2.
    + Build-depend on debconf-updatepo.
  * Avoid library package starting/stopping http daemons. Thanks to
    Martin Öhler for (verbal) bugreport.
  * Use non-SSL connection to XML-RPC on localhost by default.
  * Build and install l10n (using hack of crude upstream script).
  * Have cipux-cat-web (fallback-)depend on httpd-cgi (not httpd).
  * Depend and build-depend (again) on libversion-perl (virtual package
    in Lenny but not on Etch).  Add TODO note about dropping those
    dependencies again after Lenny+1.
  * Have libcipux-cat-web-perl (build-)depend on libclass-std-perl,
    liblog-log4perl-perl and libreadonly-perl.
  * Have cipux-cat-web depend on libclass-std-perl.
  * Have cipux-cat-web recommend cipux-rpcd.
  * Drop dependencies on libcipux-rbac-perl.
  * Extend long descriptions to mention XML-RPC.
  * Update local cdbs snippet perl-build.mk to tighten build-dependency
    on libmodule-build-perl (older releases treat destdir differently).
  * Update copyright-hints.
  * Add DEB_MAINTAINER_MODE in debian/rules (thanks to Romain Beauxis).
  * Semi-auto-update debian/control to update dependencies:

