=== debian/control ===
Source: cipux-cat-web
Section: perl
Priority: optional
Maintainer: CipUX team <cipux-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>, Christian Kuelker <christian.kuelker@cipworx.org>, Xavier Oswald <xoswald@debian.org>
Build-Depends: devscripts (>= 2.10.7~),
 dh-buildinfo,
 perl,
 perl-modules (>= 5.10.0) | libmodule-build-perl (>= 0.2808),
 cdbs (>= 0.4.78~),
 debhelper (>= 6),
 libcgi-formbuilder-perl,
 libcipux-perl,
 libdate-manip-perl,
 libcipux-rpc-client-perl,
 libtemplate-perl,
 libclass-std-perl,
 liblog-log4perl-perl,
 libreadonly-perl,
 libversion-perl,
 libmodule-build-cipux-perl (>= 0.2.5~),
 perl-modules (>= 5.10.0-19) | libtest-simple-perl,
 libtest-perl-critic-perl,
 libtest-pod-perl (>= 1.14),
 libtest-pod-coverage-perl (>= 1.04),
 po-debconf,
 liblocale-po-perl
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/cipux-cat-web.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/cipux-cat-web.git;a=summary
Homepage: http://www.cipux.org/

Package: libcipux-cat-web-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, ${cdbs:Depends}
Suggests: cipux-cat-web
Description: user and resource management framework CipUX - web-based admin tools
 CipUX is a modular framework for information abstraction and
 administration, primarily aimed at administration of users, groups and
 organisational resources stored in a central LDAP database.
 .
 CAT is CipUX Administration Tools, interacting with the core CipUX
 framework through XML-RPC.
 .
 Two CATs are provided officially with CipUX:
  - cipux-cat-web: generic web-based CAT
  - cipux-cat-moodle: CipUX plugin for Moodle
 These can be extended or replaced with custom tools.
 .
 This package contains CipUX::CAT::Web - functions used by the generic
 web-based CAT cipux-cat-web.

Package: cipux-cat-web
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, ${cdbs:Depends}
Recommends: cipux-rpcd
Description: user and resource management framework CipUX - web-based admin tools
 CipUX is a modular framework for information abstraction and
 administration, primarily aimed at administration of users, groups and
 organisational resources stored in a central LDAP database.
 .
 CAT is CipUX Administration Tools, interacting with the core CipUX
 framework through XML-RPC.
 .
 Two CATs are provided officially with CipUX:
  - cipux-cat-web: generic web-based CAT
  - cipux-cat-moodle: CipUX plugin for Moodle
 These can be extended or replaced with custom tools.
 .
 This package contains the generic web-based CAT cipux-cat-web: a set of
 Perl CGI scripts for web server like Apache to administrate user,
 groups, machines stored in LDAP using the CipUX framework.  The use of
 Template Toolkit (TT2) makes theming easy, for fancy layout or
 localization.
