## cipux-cat-web 3.4.0.3

=== debian/changelog ===
cipux-cat-web (3.4.0.3-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "cipux-cat-web, libcipux-cat-web-perl: inconsistent permission
    handling of /etc/cipux-cat-web/":
    - drop debian/postinst, instead
    - ship directories in both binary packages, with group/permissions set
      appropriately (debian/libcipux-cat-web-perl.dirs added, debian/rules
      extended)
    - add lintian overrides for non-standard-dir-perm warnings
    (Closes: #694145)
  * This also fixes "unowned files after purge (policy 6.8, 10.8)" which was
    caused by the directories being created in postinst but never removed.
    (Closes: #656456)

 -- gregor herrmann <gregoa@debian.org>  Fri, 07 Dec 2012 15:46:40 +0100

cipux-cat-web (3.4.0.3-4) unstable; urgency=low

  * Improve package relations:
    + Stop (build-)depending on packages provided by perl-modules (even
      in oldstable): libversion-perl libtest-simple-perl.
    + Fix depend on liblocale-maketext-lexicon-perl.
      Closes: bug#602912. Thanks to Per Carlson.
    + Relax (drop versioning) for packages satisifed even in oldstable:
      - libtest-pod-perl
      - libtest-pod-coverage-perl
      - lighttpd
    + Fix recommend libmodule-list-pluggable-perl and suggest (since not
      yet available in Debian) libsys-info-os-perl.
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 format.
    + Fix use initial wildcard Files section.
    + Rewrap license fields at 72 chars, and shorten comments.
    + Add Files sections for proper copyright-claimed gettext files.
  * Bump policy compliance to standards-version 3.9.2.
  * Bump debhelper compatibility level to 7 (satisfied even in
    oldstable, and cdbs need backporting for oldstable anyway).
    Tighten build-dependencies on debhelper and cdbs correspondingly.
  * Improve libcipux-cat-web-perl postinst:
    + Tighten access rights only on (created if needed) dirs (not
      content: respect user customizations and avoid potential hardlink
      attack).
    + Handle also /var/cache/cipux-cat-web.
      Closes: bug#602918. Thanks to Per Carlson.
  * Add japanese (ja) debconf l10n.
    Closes: bug#602981. Thanks to Nobuhiro Iwamatsu.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 May 2011 22:10:39 +0200

cipux-cat-web (3.4.0.3-3) unstable; urgency=low

  * Fix install scripts to avoid bogusly (and fatally!) trying to
    restart not installed webservers.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Aug 2010 16:24:19 +0200

cipux-cat-web (3.4.0.3-2) unstable; urgency=low

  * Fix depend on libscalar-list-utils-perl (not bogusly named
    libscalar-list-utils).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Jul 2010 18:32:51 +0200

cipux-cat-web (3.4.0.3-1) unstable; urgency=low

  * New upstream release.
  * Fix have library package depend on libscalar-util-numeric and
    suggest (not yet recommend as not available in Debian)
    libmodule-list-pluggable-perl and libsys-info-os-perl. Thanks to
    Martin Oehler and Kurt Gramlich.
  * Bump policy compliance to Standards-Version 3.9.0.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Jul 2010 16:33:23 +0200
