=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: CipUX team <cipux-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>, Christian Kuelker <christian.kuelker@cipworx.org>, Xavier Oswald <xoswald@debian.org>
 Build-Depends: devscripts (>= 2.10.7~),
- dh-buildinfo,
  perl,
  perl-modules (>= 5.10.0) | libmodule-build-perl (>= 0.2808),
- cdbs (>= 0.4.78~),
- debhelper (>= 6),
+ cdbs (>= 0.4.85~),
+ debhelper (>= 7.0.1),
+ dh-buildinfo,
  libcgi-formbuilder-perl,
  libcipux-perl,
  libdate-manip-perl,
@@ -17,15 +17,13 @@
  libclass-std-perl,
  liblog-log4perl-perl,
  libreadonly-perl,
- libversion-perl,
  libmodule-build-cipux-perl (>= 0.2.5~),
- perl-modules (>= 5.10.0-19) | libtest-simple-perl,
  libtest-perl-critic-perl,
- libtest-pod-perl (>= 1.14),
- libtest-pod-coverage-perl (>= 1.04),
+ libtest-pod-perl,
+ libtest-pod-coverage-perl,
  po-debconf,
  liblocale-po-perl
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/cipux-cat-web.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/cipux-cat-web.git;a=summary
 Homepage: http://www.cipux.org/
@@ -33,7 +31,8 @@
 Package: libcipux-cat-web-perl
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}, ${cdbs:Depends}
-Suggests: cipux-cat-web
+Recommends: ${cdbs:Recommends}
+Suggests: ${cdbs:Suggests}
 Description: user and resource management framework CipUX - web-based admin tools
  CipUX is a modular framework for information abstraction and
  administration, primarily aimed at administration of users, groups and
@@ -53,7 +52,7 @@
 Package: cipux-cat-web
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}, ${cdbs:Depends}
-Recommends: cipux-rpcd
+Recommends: ${cdbs:Recommends}
 Description: user and resource management framework CipUX - web-based admin tools
  CipUX is a modular framework for information abstraction and
  administration, primarily aimed at administration of users, groups and
