=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 DEB_UPSTREAM_PACKAGE = CipUX-CAT-Web
 DEB_UPSTREAM_URL = http://release.cipux.org
-DEB_UPSTREAM_TARBALL_MD5 = b894d465030a51ae472efc8d8911867e
+DEB_UPSTREAM_TARBALL_MD5 = 2affaeacef291ccfb066bacf465c9018
 
 # Install through debhelper.mk (not directly with perl-build.mk)
 DEB_PERL_DESTDIR = $(cdbs_curdestdir)
@@ -69,10 +69,18 @@
 		-name web -not -name dpkg-daemon-helper \
 		-exec mv -t debian/$(cdbs_curpkg)/usr/share/cipux-cat-web/web '{}' ';'
 
+# Set permissions/group (#694145)
+binary-fixup/cipux-cat-web::
+	chgrp www-data debian/$(cdbs_curpkg)/etc/cipux-cat-web
+	chmod 750 debian/$(cdbs_curpkg)/etc/cipux-cat-web
+
 # Override upstream default: secure connection is unneeded to localhost
+# Set permissions/group (#694145)
 binary-fixup/libcipux-cat-web-perl::
 	perl -i -pe "s|^(\h*catweb_rpc_server\h*=>\h*).*,\h*(#.*)?\$$|\$$1'http://localhost:8001/RPC2',|" \
 		debian/$(cdbs_curpkg)/etc/cipux-cat-web/cipux-cat-web.conf
+	chgrp www-data debian/$(cdbs_curpkg)/var/log/cipux-cat-web debian/$(cdbs_curpkg)/var/cache/cipux-cat-web debian/$(cdbs_curpkg)/etc/cipux-cat-web
+	chmod 750 debian/$(cdbs_curpkg)/var/log/cipux-cat-web debian/$(cdbs_curpkg)/var/cache/cipux-cat-web debian/$(cdbs_curpkg)/etc/cipux-cat-web
 
 # Ensure debconf PO files is in sync with templates
 clean::
@@ -84,8 +92,7 @@
 	  debian/po/templates.pot
 
 # Needed both by upstream build (or test) process and at runtime
-# TODO: Drop libversion-perl after Lenny+1
-common-depends = libcgi-formbuilder-perl, libcipux-perl, libdate-manip-perl, libcipux-rpc-client-perl, libtemplate-perl, libclass-std-perl, liblog-log4perl-perl, libreadonly-perl, libversion-perl
+common-depends = libcgi-formbuilder-perl, libcipux-perl, libdate-manip-perl, libcipux-rpc-client-perl, libtemplate-perl, libclass-std-perl, liblog-log4perl-perl, libreadonly-perl
 CDBS_DEPENDS_$(pkg_lib) = $(common-depends)
 CDBS_BUILD_DEPENDS += , $(common-depends)
 
@@ -93,13 +100,16 @@
 CDBS_BUILD_DEPENDS += , libmodule-build-cipux-perl (>= 0.2.5~)
 
 # Needed by upstream tests
-CDBS_BUILD_DEPENDS += , perl-modules (>= 5.10.0-19) | libtest-simple-perl, libtest-perl-critic-perl, libtest-pod-perl (>= 1.14), libtest-pod-coverage-perl (>= 1.04)
+CDBS_BUILD_DEPENDS += , libtest-perl-critic-perl, libtest-pod-perl, libtest-pod-coverage-perl
 
 # Needed by packaging routines
 # * helper script po2html.pl needs libcipux-perl and liblocale-po-perl
 CDBS_BUILD_DEPENDS += , po-debconf, liblocale-po-perl
 
-# Needed at runtime
-# TODO: Drop libversion-perl after Lenny+1
-# lighttpd soft-versioning is deliberate: scheme condition can be avoided in config snippet
-CDBS_DEPENDS_cipux-cat-web = $(pkg_lib), libclass-std-perl, libcipux-perl, libcgi-formbuilder-perl, libdate-manip-perl, libfrontier-rpc-perl, libtemplate-perl, debconf | debconf-2.0, apache2 | lighttpd (>= 1.4.19) | httpd-cgi, libversion-perl
+# Needed (always/often/seldom) at runtime
+# TODO: Raise suggestions to recommends when available in Debian
+CDBS_DEPENDS_$(pkg_lib) += , libscalar-util-numeric-perl, liblocale-maketext-lexicon-perl
+CDBS_DEPENDS_cipux-cat-web = $(pkg_lib), libclass-std-perl, libcipux-perl, libcgi-formbuilder-perl, libdate-manip-perl, libfrontier-rpc-perl, libtemplate-perl, debconf | debconf-2.0, apache2 | lighttpd | httpd-cgi
+CDBS_RECOMMENDS_$(pkg_lib) = libmodule-list-pluggable-perl
+CDBS_RECOMMENDS_cipux-cat-web = cipux-rpcd
+CDBS_SUGGESTS_$(pkg_lib) = cipux-cat-web, libsys-info-os-perl
