=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://release.cipux.org/CipUX-CAT-Web-([0-9\.]+)\.tar\.gz
